package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;
import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.datatype.QualifiedName;
import opc.ua.addressspace.nodeclasse.BaseNode;

public class ReferenceDescription {

	private NodeId referenceTypeId;
	private boolean isForward;
	
	private ExpandedNodeId nodeId;
	private QualifiedName browseName;
	
	private LocalizedText displayName;
	
	/** NodeClass of the TargetNode. **/
	private BaseNode nodeClass;
	
	private ExpandedNodeId typeDefinition;

	public NodeId getReferenceTypeId() {
		return referenceTypeId;
	}

	public void setReferenceTypeId(NodeId referenceTypeId) {
		this.referenceTypeId = referenceTypeId;
	}

	public boolean isForward() {
		return isForward;
	}

	public void setForward(boolean isForward) {
		this.isForward = isForward;
	}

	public ExpandedNodeId getNodeId() {
		return nodeId;
	}

	public void setNodeId(ExpandedNodeId nodeId) {
		this.nodeId = nodeId;
	}

	public QualifiedName getBrowseName() {
		return browseName;
	}

	public void setBrowseName(QualifiedName browseName) {
		this.browseName = browseName;
	}

	public LocalizedText getDisplayName() {
		return displayName;
	}

	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}

	public BaseNode getNodeClass() {
		return nodeClass;
	}

	public void setNodeClass(BaseNode nodeClass) {
		this.nodeClass = nodeClass;
	}

	public ExpandedNodeId getTypeDefinition() {
		return typeDefinition;
	}

	public void setTypeDefinition(ExpandedNodeId typeDefinition) {
		this.typeDefinition = typeDefinition;
	}
	
}
